package com.android.launcher3.manager;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

import androidx.annotation.IntDef;

public class ColumnDef {


    public interface AppUseType {
        //    正常使用
        int NORMAL_TYPE = 0;

        //    游戏类应用
        int GAME_LOCK_TYPE = 1;

        //    未分类应用
        int UNCLASS_TYPE = 2;


        @IntDef({NORMAL_TYPE, GAME_LOCK_TYPE, UNCLASS_TYPE})
        @Retention(RetentionPolicy.RUNTIME)
        @interface UseTypeMode {

        }

    }


    public interface LockApp {

        //        应用使用时长到达上限
        int DEADLINE = 2;
        //        应用锁定
        int LOCKED = 1;
        //        应用未锁定
        int UNLOCKED = 0;

        @IntDef({UNLOCKED, LOCKED, DEADLINE})
        @Retention(RetentionPolicy.RUNTIME)
        @interface LockAppMode {
        }

    }


    public interface LockScreen {


        //        休息模式
        int MODE_REST = 2;
        //       强制锁屏
        int MODE_FORCE_LOCK = 1;
        //        正常模式
        int MODE_NORMAL = 0;
        //        不锁屏
        int MODE_UNLOCK = -1;

        @IntDef({MODE_UNLOCK, MODE_REST, MODE_FORCE_LOCK, MODE_NORMAL})
        @Retention(RetentionPolicy.RUNTIME)
        @interface LockScreenMode {
        }


    }
}
